"use strict";
var __webpack_exports__ = {};
const e2e_namespaceObject = require("@tachybase/test/e2e");
e2e_namespaceObject.test.describe('markdown block schema settings', ()=>{
    (0, e2e_namespaceObject.test)('supported options', async (param)=>{
        let { page, mockPage } = param;
        await mockPage(e2e_namespaceObject.oneEmptyMarkdown).goto();
        await (0, e2e_namespaceObject.expectSettingsMenu)({
            page,
            showMenu: async ()=>{
                await page.getByLabel('block-item-Markdown.Void-markdown').hover();
                await page.getByLabel('designer-schema-settings-Markdown.Void-Markdown.Void.Designer').hover();
            },
            supportedOptions: [
                'Edit markdown',
                'Delete'
            ]
        });
    });
    (0, e2e_namespaceObject.test)('edit markdown', async (param)=>{
        let { page, mockPage } = param;
        await mockPage(e2e_namespaceObject.oneEmptyMarkdown).goto();
        await page.getByLabel('block-item-Markdown.Void-markdown').hover();
        await page.getByLabel('designer-schema-settings-Markdown.Void-Markdown.Void.Designer').hover();
        await page.getByRole('menuitem', {
            name: 'Edit markdown'
        }).click();
        await page.getByLabel('block-item-Markdown.Void-markdown').getByRole('textbox').click();
        await page.getByLabel('block-item-Markdown.Void-markdown').getByRole('textbox').fill('hello markdown');
        await page.getByRole('button', {
            name: 'Save'
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-Markdown.Void-markdown').getByText('hello markdown')).toBeVisible();
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
